Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/isccp_cloud_types.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/isccp_cloud_types.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/isccp_cloud_types.F	(revision 5099)
@@ -41,9 +41,9 @@
 ! (c) British Crown Copyright 2009, the Met Office.
 ! All rights reserved.
-! 
+
 ! Redistribution and use in source and binary forms, with or without 
 ! modification, are permitted provided that the
 ! following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above 
 !       copyright  notice, this list of conditions and the following 
@@ -57,5 +57,5 @@
 !       derived from this software without specific prior written 
 !       permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 ! "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
@@ -69,5 +69,5 @@
 ! (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 ! OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  
-! 
+
 ! *****************************COPYRIGHT*******************************
 ! *****************************COPYRIGHT*******************************
@@ -161,22 +161,22 @@
                                  ! with interpolated temperature equal to the radiance
 				 ! determined cloud-top temperature
-				 !
+
 				 ! 1 = find the *lowest* altitude (highest pressure) level
 				 ! with interpolated temperature equal to the radiance
 				 ! determined cloud-top temperature
-				 !
+
 				 ! 2 = find the *highest* altitude (lowest pressure) level
 				 ! with interpolated temperature equal to the radiance 
 				 ! determined cloud-top temperature
-				 ! 
+
 				 ! ONLY APPLICABLE IF top_height EQUALS 1 or 3
-				 !
+
 				 ! 1 = old setting: matches all versions of 
 				 ! ISCCP simulator with versions numbers 3.5.1 and lower
-				 !
+
 				 ! 2 = default setting: for version numbers 4.0 and higher  
-!
+
 !     The following input variables are used only if top_height = 1 or top_height = 3
-!
+
       REAL skt(npoints)                 !  skin Temperature (K)
       REAL emsfc_lw                     !  10.5 micron emissivity of surface (fraction)                                            
@@ -230,7 +230,5 @@
       
       REAL boxptop(npoints,ncol)        !  cloud top pressure (mb) in each column
-                              
-                                                                                          
-!
+
 !     ------
 !     Working variables added when program updated to mimic Mark Webb's PV-Wave code
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/lidar_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/lidar_simulator.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/lidar_simulator.F90	(revision 5099)
@@ -3,8 +3,8 @@
 ! $Revision: 88 $, $Date: 2013-11-13 15:08:38 +0100 (mer. 13 nov. 2013) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/actsim/lidar_simulator.F90 $
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -15,5 +15,5 @@
 !       contributors may be used to endorse or promote products derived from this software without 
 !       specific prior written permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
@@ -31,32 +31,32 @@
                 , ls_radliq, ls_radice, cv_radliq, cv_radice &
                 , ice_type, pmol, pnorm, pnorm_perp_tot,tautot, refl )
-!
+
 !---------------------------------------------------------------------------------
 ! Purpose: To compute lidar signal from model-simulated profiles of cloud water
 !          and cloud fraction in each sub-column of each model gridbox.
-!
+
 ! References: 
 ! Chepfer H., S. Bony, D. Winker, M. Chiriaco, J.-L. Dufresne, G. Seze (2008),
 ! Use of CALIPSO lidar observations to evaluate the cloudiness simulated by a 
 ! climate model, Geophys. Res. Lett., 35, L15704, doi:10.1029/2008GL034207.
-!
+
 ! Previous references:
 ! Chiriaco et al, MWR, 2006; Chepfer et al., MWR, 2007
-!
+
 ! Contacts: Helene Chepfer (chepfer@lmd.polytechnique.fr), Sandrine Bony (bony@lmd.jussieu.fr)
-!
+
 ! May 2007: ActSim code of M. Chiriaco and H. Chepfer rewritten by S. Bony
-!
+
 ! May 2008, H. Chepfer:
 ! - Units of pressure inputs: Pa 
 ! - Non Spherical particles : LS Ice NS coefficients, CONV Ice NS coefficients
 ! - New input: ice_type (0=ice-spheres ; 1=ice-non-spherical)
-!
+
 ! June 2008, A. Bodas-Salcedo:
 ! - Ported to Fortran 90 and optimisation changes
-!
+
 ! August 2008, J-L Dufresne:
 ! - Optimisation changes (sum instructions suppressed)
-!
+
 ! October 2008, S. Bony,  H. Chepfer and J-L. Dufresne :  
 ! - Interface with COSP v2.0:
@@ -65,16 +65,16 @@
 !      depolarisation diagnostic removed
 !      parasol (polder) reflectances (for 5 different solar zenith angles) added
-!
+
 ! December 2008, S. Bony,  H. Chepfer and J-L. Dufresne : 
 ! - Modification of the integration of the lidar equation.
 ! - change the cloud detection threshold
-!
+
 ! April 2008, A. Bodas-Salcedo:
 ! - Bug fix in computation of pmol and pnorm of upper layer
-!
+
 ! April 2008, J-L. Dufresne
 ! - Bug fix in computation of pmol and pnorm, thanks to Masaki Satoh: a factor 2 
 ! was missing. This affects the ATB values but not the cloud fraction. 
-!
+
 ! January 2013, G. Cesana and H. Chepfer:
 ! - Add the perpendicular component of the backscattered signal (pnorm_perp_tot) in the arguments
@@ -83,7 +83,7 @@
 ! Reference: Cesana G. and H. Chepfer (2013): Evaluation of the cloud water phase
 ! in a climate model using CALIPSO-GOCCP, J. Geophys. Res., doi: 10.1002/jgrd.50376
-!
+
 !---------------------------------------------------------------------------------
-!
+
 ! Inputs:
 !  npoints  : number of horizontal points
@@ -106,5 +106,5 @@
 !  ice_type : ice particle shape hypothesis (ice_type=0 for spheres, ice_type=1 
 !             for non spherical particles)
-!
+
 ! Outputs:
 !  pmol : molecular attenuated backscatter lidar signal power (m^-1.sr^-1)
@@ -113,5 +113,5 @@
 !  tautot: optical thickess integrated from top to level z
 !  refl : parasol(polder) reflectance
-!
+
 ! Version 1.0 (June 2007)
 ! Version 1.1 (May 2008)
@@ -228,5 +228,5 @@
 ! as a function of the ATB for ice or liquid cloud particles derived from CALIPSO-GOCCP
 ! observations at 120m vertical grid (Cesana and Chepfer, JGR, 2013).
-!
+
 ! Relationship between ATBice and ATBperp,ice for ice particles
 !  ATBperp,ice = Alpha*ATBice 
@@ -414,6 +414,6 @@
 
 ! Total signal (molecular + particules):
-!
-!
+
+
 ! For performance reason on vector computers, the 2 following lines should not be used
 ! and should be replace by the later one.
@@ -426,5 +426,5 @@
            tautot(:,:) = tautot(:,:)  + tau_part(:,:,i)
       ENDDO ! i
-!
+
 !     Upper layer 
       pnorm(:,nlev) = betatot(:,nlev) / (2.*tautot(:,nlev)) &
@@ -585,5 +585,5 @@
 !---------------------------------------------------------
 !  Parasol/Polder module
-!
+
 !  Purpose : Compute reflectance for one particular viewing direction
 !  and 5 solar zenith angles (calculation valid only over ocean)
@@ -611,7 +611,7 @@
 
   END SUBROUTINE lidar_simulator
-!
+
 !---------------------------------------------------------------------------------
-!
+
   SUBROUTINE parasol(npoints,nrefl,undef  &
                        ,tautot_S_liq,tautot_S_ice  &
@@ -621,9 +621,9 @@
 !          of cloud water and cloud fraction in each sub-column of each model 
 !          gridbox.
-!
-!
+
+
 ! December 2008, S. Bony,  H. Chepfer and J-L. Dufresne : 
 ! - optimization for vectorization
-!
+
 ! Version 2.0 (October 2008)
 ! Version 2.1 (December 2008)
@@ -642,5 +642,5 @@
 ! outputs
     REAL refl(npoints,nrefl)     ! Parasol reflectances
-!
+
 ! Local variables
     REAL tautot_S(npoints)       ! cloud optical thickness, from TOA to surface
@@ -702,12 +702,12 @@
     rlumA_mod=0
     rlumB_mod=0
-!
+
     pi = ACOS(-1.0)
     r_norm(:)=1./ COS(pi/180.*tetas(:))
-!
+
     tautot_S_liq(:)=MAX(tautot_S_liq(:),tau(1))
     tautot_S_ice(:)=MAX(tautot_S_ice(:),tau(1))
     tautot_S(:) = tautot_S_ice(:) + tautot_S_liq(:)
-!
+
 ! relative fraction of the opt. thick due to liquid or ice clouds
     WHERE (tautot_S(:) .GT. 0.)
@@ -719,5 +719,5 @@
     END WHERE
     tautot_S(:)=MIN(tautot_S(:),tau(nbtau))
-!
+
 ! Linear interpolation :
 
@@ -730,5 +730,5 @@
       bB(:,ny) = rlumB(:,ny) - aB(:,ny)*tau(ny)
     ENDDO
-!
+
     DO it=1,ntetas
       DO ny=1,nbtau-1
@@ -739,5 +739,5 @@
       END DO
     END DO
-!
+
     DO it=1,ntetas
       refl(:,it) = frac_taucol_liq(:) * rlumA_mod(:,it) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/m_mrgrnk.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/m_mrgrnk.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/m_mrgrnk.F90	(revision 5099)
@@ -21,9 +21,9 @@
 ! __________________________________________________________
       Real (kind=kdp) :: XVALA, XVALB
-!
+
       Integer, Dimension (SIZE(IRNGT)) :: JWRKT
       Integer :: LMTNA, LMTNC, IRNG1, IRNG2
       Integer :: NVAL, IIND, IWRKD, IWRK, IWRKF, JINDA, IINDA, IINDB
-!
+
       NVAL = Min (SIZE(XDONT), SIZE(IRNGT))
       Select Case (NVAL)
@@ -36,7 +36,7 @@
          Continue
       End Select
-!
+
 !  Fill-in the index array, creating ordered couples
-!
+
       Do IIND = 2, NVAL, 2
          If (XDONT(IIND-1) <= XDONT(IIND)) Then
@@ -51,35 +51,35 @@
          IRNGT (NVAL) = NVAL
       End If
-!
+
 !  We will now have ordered subsets A - B - A - B - ...
 !  and merge A and B couples into     C   -   C   - ...
-!
+
       LMTNA = 2
       LMTNC = 4
-!
+
 !  First iteration. The length of the ordered subsets goes from 2 to 4
-!
+
       Do
          If (NVAL <= 2) Exit
-!
+
 !   Loop on merges of A and B into C
-!
+
          Do IWRKD = 0, NVAL - 1, 4
             If ((IWRKD+4) > NVAL) Then
                If ((IWRKD+2) >= NVAL) Exit
-!
+
 !   1 2 3
-!
+
                If (XDONT(IRNGT(IWRKD+2)) <= XDONT(IRNGT(IWRKD+3))) Exit
-!
+
 !   1 3 2
-!
+
                If (XDONT(IRNGT(IWRKD+1)) <= XDONT(IRNGT(IWRKD+3))) Then
                   IRNG2 = IRNGT (IWRKD+2)
                   IRNGT (IWRKD+2) = IRNGT (IWRKD+3)
                   IRNGT (IWRKD+3) = IRNG2
-!
+
 !   3 1 2
-!
+
                Else
                   IRNG1 = IRNGT (IWRKD+1)
@@ -90,11 +90,11 @@
                Exit
             End If
-!
+
 !   1 2 3 4
-!
+
             If (XDONT(IRNGT(IWRKD+2)) <= XDONT(IRNGT(IWRKD+3))) Cycle
-!
+
 !   1 3 x x
-!
+
             If (XDONT(IRNGT(IWRKD+1)) <= XDONT(IRNGT(IWRKD+3))) Then
                IRNG2 = IRNGT (IWRKD+2)
@@ -108,7 +108,7 @@
                   IRNGT (IWRKD+4) = IRNG2
                End If
-!
+
 !   3 x x x
-!
+
             Else
                IRNG1 = IRNGT (IWRKD+1)
@@ -133,21 +133,21 @@
             End If
          End Do
-!
+
 !  The Cs become As and Bs
-!
+
          LMTNA = 4
          Exit
       End Do
-!
+
 !  Iteration loop. Each time, the length of the ordered subsets
 !  is doubled.
-!
+
       Do
          If (LMTNA >= NVAL) Exit
          IWRKF = 0
          LMTNC = 2 * LMTNC
-!
+
 !   Loop on merges of A and B into C
-!
+
          Do
             IWRK = IWRKF
@@ -161,25 +161,25 @@
             IINDA = 1
             IINDB = JINDA + 1
-!
+
 !   Shortcut for the case when the max of A is smaller
 !   than the min of B. This line may be activated when the
 !   initial set is already close to sorted.
-!
+
 !          IF (XDONT(IRNGT(JINDA)) <= XDONT(IRNGT(IINDB))) CYCLE
-!
+
 !  One steps in the C subset, that we build in the final rank array
-!
+
 !  Make a copy of the rank array for the merge iteration
-!
+
             JWRKT (1:LMTNA) = IRNGT (IWRKD:JINDA)
-!
+
             XVALA = XDONT (JWRKT(IINDA))
             XVALB = XDONT (IRNGT(IINDB))
-!
+
             Do
                IWRK = IWRK + 1
-!
+
 !  We still have unprocessed values in both A and B
-!
+
                If (XVALA > XVALB) Then
                   IRNGT (IWRK) = IRNGT (IINDB)
@@ -197,15 +197,15 @@
                   XVALA = XDONT (JWRKT(IINDA))
                End If
-!
+
             End Do
          End Do
-!
+
 !  The Cs become As and Bs
-!
+
          LMTNA = 2 * LMTNA
       End Do
-!
+
       Return
-!
+
 End Subroutine D_mrgrnk
 
@@ -221,9 +221,9 @@
 ! __________________________________________________________
       Integer :: XVALA, XVALB
-!
+
       Integer, Dimension (SIZE(IRNGT)) :: JWRKT
       Integer :: LMTNA, LMTNC, IRNG1, IRNG2
       Integer :: NVAL, IIND, IWRKD, IWRK, IWRKF, JINDA, IINDA, IINDB
-!
+
       NVAL = Min (SIZE(XDONT), SIZE(IRNGT))
       Select Case (NVAL)
@@ -236,7 +236,7 @@
          Continue
       End Select
-!
+
 !  Fill-in the index array, creating ordered couples
-!
+
       Do IIND = 2, NVAL, 2
          If (XDONT(IIND-1) <= XDONT(IIND)) Then
@@ -251,35 +251,35 @@
          IRNGT (NVAL) = NVAL
       End If
-!
+
 !  We will now have ordered subsets A - B - A - B - ...
 !  and merge A and B couples into     C   -   C   - ...
-!
+
       LMTNA = 2
       LMTNC = 4
-!
+
 !  First iteration. The length of the ordered subsets goes from 2 to 4
-!
+
       Do
          If (NVAL <= 2) Exit
-!
+
 !   Loop on merges of A and B into C
-!
+
          Do IWRKD = 0, NVAL - 1, 4
             If ((IWRKD+4) > NVAL) Then
                If ((IWRKD+2) >= NVAL) Exit
-!
+
 !   1 2 3
-!
+
                If (XDONT(IRNGT(IWRKD+2)) <= XDONT(IRNGT(IWRKD+3))) Exit
-!
+
 !   1 3 2
-!
+
                If (XDONT(IRNGT(IWRKD+1)) <= XDONT(IRNGT(IWRKD+3))) Then
                   IRNG2 = IRNGT (IWRKD+2)
                   IRNGT (IWRKD+2) = IRNGT (IWRKD+3)
                   IRNGT (IWRKD+3) = IRNG2
-!
+
 !   3 1 2
-!
+
                Else
                   IRNG1 = IRNGT (IWRKD+1)
@@ -290,11 +290,11 @@
                Exit
             End If
-!
+
 !   1 2 3 4
-!
+
             If (XDONT(IRNGT(IWRKD+2)) <= XDONT(IRNGT(IWRKD+3))) Cycle
-!
+
 !   1 3 x x
-!
+
             If (XDONT(IRNGT(IWRKD+1)) <= XDONT(IRNGT(IWRKD+3))) Then
                IRNG2 = IRNGT (IWRKD+2)
@@ -308,7 +308,7 @@
                   IRNGT (IWRKD+4) = IRNG2
                End If
-!
+
 !   3 x x x
-!
+
             Else
                IRNG1 = IRNGT (IWRKD+1)
@@ -333,21 +333,21 @@
             End If
          End Do
-!
+
 !  The Cs become As and Bs
-!
+
          LMTNA = 4
          Exit
       End Do
-!
+
 !  Iteration loop. Each time, the length of the ordered subsets
 !  is doubled.
-!
+
       Do
          If (LMTNA >= NVAL) Exit
          IWRKF = 0
          LMTNC = 2 * LMTNC
-!
+
 !   Loop on merges of A and B into C
-!
+
          Do
             IWRK = IWRKF
@@ -361,25 +361,25 @@
             IINDA = 1
             IINDB = JINDA + 1
-!
+
 !   Shortcut for the case when the max of A is smaller
 !   than the min of B. This line may be activated when the
 !   initial set is already close to sorted.
-!
+
 !          IF (XDONT(IRNGT(JINDA)) <= XDONT(IRNGT(IINDB))) CYCLE
-!
+
 !  One steps in the C subset, that we build in the final rank array
-!
+
 !  Make a copy of the rank array for the merge iteration
-!
+
             JWRKT (1:LMTNA) = IRNGT (IWRKD:JINDA)
-!
+
             XVALA = XDONT (JWRKT(IINDA))
             XVALB = XDONT (IRNGT(IINDB))
-!
+
             Do
                IWRK = IWRK + 1
-!
+
 !  We still have unprocessed values in both A and B
-!
+
                If (XVALA > XVALB) Then
                   IRNGT (IWRK) = IRNGT (IINDB)
@@ -397,15 +397,15 @@
                   XVALA = XDONT (JWRKT(IINDA))
                End If
-!
+
             End Do
          End Do
-!
+
 !  The Cs become As and Bs
-!
+
          LMTNA = 2 * LMTNA
       End Do
-!
+
       Return
-!
+
 End Subroutine I_mrgrnk
 end module m_mrgrnk
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/math_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/math_lib.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/math_lib.F90	(revision 5099)
@@ -4,5 +4,5 @@
 ! Compiled/Modified:
 !   07/01/06  John Haynes (haynes@atmos.colostate.edu)
-! 
+
 ! gamma (function)
 ! path_integral (function)
@@ -19,14 +19,14 @@
   function gamma(x)
   implicit none
-!
+
 ! Purpose:
 !   Returns the gamma function
-!
+
 ! Input:
 !   [x]   value to compute gamma function of
-!
+
 ! Returns:
 !   gamma(x)
-!
+
 ! Coded:
 !   02/02/06  John Haynes (haynes@atmos.colostate.edu)
@@ -100,9 +100,9 @@
   use array_lib
   implicit none
-!
+
 ! Purpose:
 !   evalues the integral (f ds) between f(index=i1) and f(index=i2)
 !   using the AVINT procedure
-!
+
 ! Inputs:
 !   [f]    functional values
@@ -110,14 +110,14 @@
 !   [i1]   index of lower limit
 !   [i2]   index of upper limit
-!
+
 ! Returns:
 !   result of path integral
-!
+
 ! Notes:
 !   [s] may be in forward or reverse numerical order
-!
+
 ! Requires:
 !   mrgrnk package
-!
+
 ! Created:
 !   02/02/06  John Haynes (haynes@atmos.colostate.edu)
@@ -162,8 +162,8 @@
   subroutine avint ( ftab, xtab, ntab, a_in, b_in, result )
   implicit none
-!
+
 ! Purpose:
 !   estimate the integral of unevenly spaced data
-!
+
 ! Inputs:
 !   [ftab]     functional values
@@ -172,31 +172,31 @@
 !   [a]        lower limit of integration
 !   [b]        upper limit of integration
-!
+
 ! Outputs:
 !   [result]   approximate value of integral
-!
+
 ! Reference:
 !   From SLATEC libraries, in public domain
-!
+
 !***********************************************************************
-!
+
 !  AVINT estimates the integral of unevenly spaced data.
-!
+
 !  Discussion:
-!
+
 !    The method uses overlapping parabolas and smoothing.
-!
+
 !  Modified:
-!
+
 !    30 October 2000
 !    4 January 2008, A. Bodas-Salcedo. Error control for XTAB taken out of
 !                    loop to allow vectorization.
-!
+
 !  Reference:
-!
+
 !    Philip Davis and Philip Rabinowitz,
 !    Methods of Numerical Integration,
 !    Blaisdell Publishing, 1967.
-!
+
 !    P E Hennion,
 !    Algorithm 77,
@@ -204,25 +204,25 @@
 !    Communications of the Association for Computing Machinery,
 !    Volume 5, page 96, 1962.
-!
+
 !  Parameters:
-!
+
 !    Input, real ( kind = 8 ) FTAB(NTAB), the function values,
 !    FTAB(I) = F(XTAB(I)).
-!
+
 !    Input, real ( kind = 8 ) XTAB(NTAB), the abscissas at which the
 !    function values are given.  The XTAB's must be distinct
 !    and in ascending order.
-!
+
 !    Input, integer NTAB, the number of entries in FTAB and
 !    XTAB.  NTAB must be at least 3.
-!
+
 !    Input, real ( kind = 8 ) A, the lower limit of integration.  A should
 !    be, but need not be, near one endpoint of the interval
 !    (X(1), X(NTAB)).
-!
+
 !    Input, real ( kind = 8 ) B, the upper limit of integration.  B should
 !    be, but need not be, near one endpoint of the interval
 !    (X(1), X(NTAB)).
-!
+
 !    Output, real ( kind = 8 ) RESULT, the approximate value of the integral.
 
@@ -293,7 +293,7 @@
     return
   end if
-!
+
 !  If B < A, temporarily switch A and B, and store sign.
-!
+
   if ( b < a ) then
     syl = b
@@ -305,7 +305,7 @@
     ind = 1
   end if
-!
+
 !  Bracket A and B between XTAB(ILO) and XTAB(IHI).
-!
+
   ilo = 1
   ihi = ntab
@@ -330,7 +330,7 @@
   ihi = min ( ihi, ntab - 1 )
   ihi = max ( ilo, ihi - 1 )
-!
+
 !  Carry out approximate integration from XTAB(ILO) to XTAB(IHI).
-!
+
   sum1 = 0.0D+00
  
@@ -380,8 +380,8 @@
         + cb * 0.5D+00 * ( b**2 - syl**2 ) &
         + cc * ( b - syl )
-!
+
 !  Restore original values of A and B, reverse sign of integral
 !  because of earlier switch.
-!
+
   if ( ind /= 1 ) then
     ind = 1
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp.F90	(revision 5099)
@@ -1,8 +1,8 @@
 ! (c) British Crown Copyright 2008, the Met Office.
 ! All rights reserved.
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -13,5 +13,5 @@
 !       to endorse or promote products derived from this software without specific prior written 
 !       permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_constants.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_constants.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_constants.F90	(revision 5099)
@@ -1,8 +1,8 @@
 ! (c) British Crown Copyright 2008, the Met Office.
 ! All rights reserved.
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -13,5 +13,5 @@
 !       to endorse or promote products derived from this software without specific prior written 
 !       permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
@@ -23,5 +23,4 @@
 ! OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-!
 ! History:
 ! Jul 2007 - A. Bodas-Salcedo - Initial version
@@ -29,7 +28,6 @@
 ! Oct 2008 - H. Chepfer       - Added PARASOL_NREFL
 ! Jun 2010 - R. Marchand      - Modified to support quickbeam V3, added ifdef for hydrometeor definitions
-! 
-!
-! 
+
+
 
 !!#INCLUDE "cosp_defs.h"
@@ -143,10 +141,7 @@
                                              shape=(/2,MISR_N_CTH/))
 
-
-    !
     ! The following code was modifed by Roj with implementation of quickbeam V3
     !   (1) use ifdef to support more than one microphyscis scheme 
     !   (2) added constants  microphysic_scheme_name, LOAD_scale_LUTs, and SAVE_scale_LUTs 
-    !
 
     ! directory where LUTs will be stored
@@ -155,13 +150,10 @@
 #ifdef MMF_V3_SINGLE_MOMENT
 
-    !        
     !  Table hclass for quickbeam to support one-moment (bulk) microphysics scheme used by MMF V3.0 & V3.5
-    !
-
-    !
+
     ! NOTE:  if ANY value in this section of code is changed, the existing LUT 
     !        (i.e., the associated *.dat file) MUST be deleted so that a NEW
     !        LUT will be created !!!
-    !
+
     character*120 :: RADAR_SIM_MICROPHYSICS_SCHEME_NAME = 'MMF_v3_single_moment'
 
@@ -190,5 +182,5 @@
 
     ! NOTES on HCLASS variables
-    !
+
     ! TYPE - Set to
     ! 1 for modified gamma distribution,
@@ -217,5 +209,5 @@
     ! P1, P2, P3 - are default distribution parameters that depend on the type
     ! of distribution (see quickmbeam documentation for more information)
-    !
+
     ! Modified Gamma (must set P3 and one of P1 or P2)
     ! P1 - Set to the total particle number concentration Nt /rho_a (kg-1 ), where
@@ -223,21 +215,19 @@
     ! P2 - Set to the particle mean diameter D (micron).
     ! P3 - Set to the distribution width nu.
-    !
+
     ! Exponetial (set one of)
     ! P1 - Set to a constant intercept parameter N0 (m-4).
     ! P2 - Set to a constant lambda (micron-1).
-    !
+
     ! Power Law
     ! P1 - Set this to the value of a constant power law parameter br
-    !
+
     ! Monodisperse
     ! P1 - Set to a constant diameter D0 (micron) = Re.
-    !
+
     ! Log-normal (must set P3 and one of P1 or P2)
     ! P1 - Set to the total particle number concentration Nt /rho_a (kg-1 )
     ! P2 - Set to the geometric mean particle radius rg (micron).
     ! P3 - Set to the natural logarithm of the geometric standard deviation.
-    !
-
 
     real,dimension(N_HYDRO) :: N_ax,N_bx,alpha_x,c_x,d_x,g_x,a_x,b_x,gamma_1,gamma_2,gamma_3,gamma_4
@@ -265,17 +255,14 @@
 #ifdef MMF_V3p5_TWO_MOMENT
 
-    !
     !  Table hclass for quickbeam to support two-moment "morrison" microphysics scheme used by V3.5 (SAM 6.8)
-    !
+
     !  This Number concentriation Np in [1/kg] MUST be input to COSP/radar simulator
-    !
+
     !  NOTE:  Be sure to check that the ice-density (rho) set it this tables matches what you used
-    !
-
-    !
+
     ! NOTE:  if ANY value in this section of code is changed, the existing LUT 
     !        (i.e., the associated *.dat file) MUST be deleted so that a NEW
     !        LUT will be created !!!
-    !
+
     character*120 :: RADAR_SIM_MICROPHYSICS_SCHEME_NAME = 'MMF_v3.5_two_moment'
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_isccp_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_isccp_simulator.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_isccp_simulator.F90	(revision 5099)
@@ -3,8 +3,8 @@
 ! $Revision: 23 $, $Date: 2011-03-31 15:41:37 +0200 (jeu. 31 mars 2011) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/cosp_isccp_simulator.F90 $
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -15,5 +15,5 @@
 !       to endorse or promote products derived from this software without specific prior written 
 !       permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_lidar.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_lidar.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_lidar.F90	(revision 5099)
@@ -3,8 +3,8 @@
 ! $Revision: 88 $, $Date: 2013-11-13 15:08:38 +0100 (mer. 13 nov. 2013) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/cosp_lidar.F90 $
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -15,5 +15,5 @@
 !       to endorse or promote products derived from this software without specific prior written 
 !       permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
@@ -25,5 +25,4 @@
 ! OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-!
 ! History:
 ! Jul 2007 - A. Bodas-Salcedo - Initial version
@@ -32,6 +31,6 @@
 !                               frac_out changed in sgx%frac_out)
 ! Jun 2011 - G. Cesana        - Added betaperp_tot argument
-!
-! 
+
+
 MODULE MOD_COSP_LIDAR
   USE MOD_COSP_CONSTANTS
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_misr_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_misr_simulator.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_misr_simulator.F90	(revision 5099)
@@ -3,8 +3,8 @@
 ! $Revision: 23 $, $Date: 2011-03-31 15:41:37 +0200 (jeu. 31 mars 2011) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/cosp_misr_simulator.F90 $
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -15,5 +15,5 @@
 !       to endorse or promote products derived from this software without specific prior written 
 !       permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
@@ -25,9 +25,7 @@
 ! OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-!
 ! History:
 ! Nov 2008 - A. Bodas-Salcedo - Initial version
-!
-!
+
 
 MODULE MOD_COSP_MISR_SIMULATOR
